Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::ScrollTarget Class Reference

`#include <OgreScrollTarget.h>`

Inheritance diagram for Ogre::ScrollTarget:

[legend]
List of all members.

## Public Methods

| ScrollTarget ()
void | processScrollEvent (ScrollEvent *e)
void | addScrollListener (ScrollListener *l)
void | removeScrollListener (ScrollListener *l)
virtual void | processEvent (InputEvent *e)=0

## Protected Attributes

ScrollListener * | mScrollListener

## Constructor & Destructor Documentation

Ogre::ScrollTarget::ScrollTarget | ( |  | ) |

| Definition at line 37 of file OgreScrollTarget.cpp. References mScrollListener.

## Member Function Documentation

void Ogre::ScrollTarget::addScrollListener | ( | ScrollListener * | l | ) |

| Definition at line 61 of file OgreScrollTarget.cpp. References mScrollListener. Referenced by Ogre::TTYGuiElement::setScrollBar(), and Ogre::ListGuiElement::setScrollBarName().

virtual void Ogre::EventTarget::processEvent | ( | InputEvent * | e | ) | `[pure virtual, inherited]`

| Implemented in Ogre::Cursor, Ogre::EventProcessor, Ogre::GuiControl, Ogre::GuiElement, Ogre::OverlayManager, Ogre::BorderButtonGuiElement, Ogre::ButtonGuiElement, Ogre::ScrollBarGuiElement, and Ogre::TextBoxGuiElement. Referenced by Ogre::EventDispatcher::processKeyEvent(), Ogre::EventDispatcher::retargetKeyEvent(), and Ogre::EventDispatcher::retargetMouseEvent().

void Ogre::ScrollTarget::processScrollEvent | ( | ScrollEvent * | e | ) |

| Definition at line 45 of file OgreScrollTarget.cpp. References Ogre::InputEvent::getID(), mScrollListener, and Ogre::ScrollListener::scrollPerformed(). Referenced by Ogre::ScrollBarGuiElement::processEvent().

void Ogre::ScrollTarget::removeScrollListener | ( | ScrollListener * | l | ) |

| Definition at line 71 of file OgreScrollTarget.cpp. References mScrollListener. Referenced by Ogre::TTYGuiElement::setScrollBar().

## Member Data Documentation

ScrollListener* Ogre::ScrollTarget::mScrollListener`[protected]`

| Definition at line 51 of file OgreScrollTarget.h. Referenced by addScrollListener(), processScrollEvent(), removeScrollListener(), and ScrollTarget().

The documentation for this class was generated from the following files:

- OgreScrollTarget.h
- OgreScrollTarget.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:37 2004